io.vertx.rxjava.servicediscovery.spi

## Class ServicePublisher

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServicePublisher

-     public class ServicePublisher
      extends Object

  The publisher is used by the importer to publish or unpublish records.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ServicePublisher>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicePublisher(Object delegate)`
    `ServicePublisher(ServicePublisher delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ServicePublisher` | `getDelegate()`
    `int` | `hashCode()`
    `static ServicePublisher` | `newInstance(ServicePublisher arg)`
    `void` | `publish(Record record)` Publishes a record.
    `void` | `publish(Record record, Handler<AsyncResult<Record>> resultHandler)` Publishes a record.
    `Single<Record>` | `rxPublish(Record record)` Publishes a record.
    `Single<Void>` | `rxUnpublish(String id)` Un-publishes a record.
    `Single<Record>` | `rxUpdate(Record record)` Updates an existing record.
    `String` | `toString()`
    `void` | `unpublish(String id)` Un-publishes a record.
    `void` | `unpublish(String id, Handler<AsyncResult<Void>> resultHandler)` Un-publishes a record.
    `void` | `update(Record record)` Updates an existing record.
    `void` | `update(Record record, Handler<AsyncResult<Record>> resultHandler)` Updates an existing record.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServicePublisher> __TYPE_ARG

  - ### Constructor Detail

    - #### ServicePublisher

          public ServicePublisher(ServicePublisher delegate)

    - #### ServicePublisher

          public ServicePublisher(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServicePublisher getDelegate()

    - #### publish

          public void publish(Record record,
                              Handler<AsyncResult<Record>> resultHandler)

      Publishes a record.
      Parameters:
        `record` - the record
        `resultHandler` - handler called when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### publish

          public void publish(Record record)

      Publishes a record.
      Parameters:
        `record` - the record

    - #### rxPublish

          public Single<Record> rxPublish(Record record)

      Publishes a record.
      Parameters:
        `record` - the record
      Returns:

    - #### unpublish

          public void unpublish(String id,
                                Handler<AsyncResult<Void>> resultHandler)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
        `resultHandler` - handler called when the operation has completed (successfully or not).

    - #### unpublish

          public void unpublish(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id

    - #### rxUnpublish

          public Single<Void> rxUnpublish(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
      Returns:

    - #### update

          public void update(Record record,
                             Handler<AsyncResult<Record>> resultHandler)

      Updates an existing record.
      Parameters:
        `record` - the record
        `resultHandler` - handler called when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### update

          public void update(Record record)

      Updates an existing record.
      Parameters:
        `record` - the record

    - #### rxUpdate

          public Single<Record> rxUpdate(Record record)

      Updates an existing record.
      Parameters:
        `record` - the record
      Returns:

    - #### newInstance

          public static ServicePublisher newInstance(ServicePublisher arg)

Copyright © 2022 Eclipse. All rights reserved.